package com.antoniofrische;

import java.io.*;

public class SeriableParser {
    Persona[] personas;

    public Persona[] getPersonas() {
        return personas;
    }

    public SeriableParser(File file) {

        try(FileInputStream infile = new FileInputStream(file);
            ObjectInputStream datos = new ObjectInputStream(infile)){
            personas = new Persona[datos.available()];
            for (int i = 0; i < datos.available(); i++){
                //hace falta un seriable de array y no de persona, tengo que volver a la 8.1
                Persona persona = (Persona)datos.readObject();
                personas[i] = persona;
            }
            System.out.println(personas.length);

        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }catch (IOException ioe){
            ioe.printStackTrace();
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }



    }
}
